commit: c611205b4633f3ddd5ca1224dc6698818b582939
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 14 06:04:34 2021 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Feb 14 06:04:34 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c611205b
dev-ruby/activeldap: add 6.1.0
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/activeldap/Manifest | 1 +
dev-ruby/activeldap/activeldap-6.1.0.ebuild | 38 +++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-ruby/activeldap/Manifest b/dev-ruby/activeldap/Manifest
index 6e65c085872..637e8d06892 100644
--- a/dev-ruby/activeldap/Manifest
+++ b/dev-ruby/activeldap/Manifest
@@ -1,2 +1,3 @@
DIST activeldap-5.2.4.gem 226304 BLAKE2B
f13b5a1cf423b44087d55d3a4957be1444d598ab1d1bd7d83ee545a2806b77b47124edcb326fc567eb06e866c62a2ad0c3dafd903232588f824bc2978c197d60
SHA512
da37cfa20c8be7151669ba3b409994c668b037a2f318b1b034f6fa9c0e56a9a778b03a26415cbd98c8ba3fa1d487d42343bc0532665c1037880e75474a1c708f
DIST activeldap-6.0.4.gem 227328 BLAKE2B
8b1307e8c4b0fffe6cbd43a71cd11d2414570e8b0c1007152b99dca467b17f60efea1ff65f2bb5bc5ec6d6dd58f7a8a44e131887927c16d6bb90371f2b82c0d6
SHA512
26517692217d2f88db61fef12c16d0916eebbb3081db6431487dfa48dba5e6757af74d0dd9779694ba04957cf8ba855b6d5dc77986f7ad705cc359353fe87469
+DIST activeldap-6.1.0.gem 227328 BLAKE2B
48cd393a294b677b373461701773d3d0c18cbe9ee5124bcbafe392ee664a0e1045feb2d808734988bfceaaf7ae7b276ea12615ae30bb8109d63daf4b6a8cbed5
SHA512
b8a8d1346d75ae1ddd15b919f2a7afbec3e62b4248144ece3e1324892899735b05aa221ecec7c07f6273f35a6ffdacf4858d57326fb9b8c096f358652ef0b99d
diff --git a/dev-ruby/activeldap/activeldap-6.1.0.ebuild
b/dev-ruby/activeldap/activeldap-6.1.0.ebuild
new file mode 100644
index 00000000000..7a13e0a70f1
--- /dev/null
+++ b/dev-ruby/activeldap/activeldap-6.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="TODO doc/text/*"
+RUBY_FAKEGEM_EXTRAINSTALL="po"
+
+inherit ruby-fakegem
+
+MY_P="${P/ruby-/}"
+DESCRIPTION="ActiveLDAP provides an activerecord inspired object oriented
interface to LDAP"
+HOMEPAGE="https://github.com/activeldap/activeldap"
+
+LICENSE="GPL-2"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+# Most tests require a live LDAP server to run.
+RESTRICT="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/activemodel-5.2.0:*
+ dev-ruby/builder
+ dev-ruby/locale
+ dev-ruby/ruby-gettext
+ dev-ruby/gettext_i18n_rails
+ || ( dev-ruby/ruby-net-ldap >=dev-ruby/ruby-ldap-0.8.2 )"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc doc/text/*
+ dodoc -r examples
+}